#!/bin/sh

cd ${0%${0##*/}}.

. ./setenv.sh

rm $MYBGBILLING_HOME.deployed

sleep 3

$JAVA_HOME/bin/java -cp $MYBGBILLING_HOME/WEB-INF/classes/:$MYBGBILLING_HOME/WEB-INF/lib/* groovy.ui.GroovyMain $MYBGBILLING_HOME/WEB-INF/script/update.groovy

echo ""

while true; do
    read -r -p "Sync client libs (mybgbilling-sync-libs.sh)? [y/N] " response
    case $response in
        [yY][eE][sS]|[yY] ) 
            ./mybgbilling-sync-libs.sh;
            break;;
        [Nn][oO]|[Nn] )
            ./mybgbilling-reload.sh;
            break;;
        * ) echo "Please answer yes or no.";;
    esac
done
