/*
  Используемый модуль должен быть добавлен на договор, иначе он исключается из списка для конкретного договора.
*/

paymentConfig {

	/* Если true - то используются только провайдеры/модули, которые указаны в providers. */
    replaceProviders = false
    /* Показывать оплату через модуль Card */
    showCard = false
    /* Нужно ли указывать email/телефон при оплате */
    needReceiptContacts = true

    providers = [
    
    	/*
    	// для Яндекс.Деньги возможно нужно указать типы платежей
        provider {
        	// код модуля Яндекс.Деньги
			moduleId = 
			config = config {
				//Список доступных типов оплаты (Из в ЦПП). Пример: PC:Оплата со счета Яндекс.Денег;AC:Оплата с банковской карты;MC:Платеж со счета мобильного телефона;GP:Оплата наличными через кассы и терминалы;WM:Оплата с кошелька в системе WebMoney;SB:Оплата через Сбербанк Онлайн
				//paymentTypes = 'PC:payment.yamoney.PC;AC:payment.yamoney.AC;MC:payment.yamoney.MC;GP:payment.yamoney.GP;WM:payment.yamoney.WM;SB:payment.yamoney.SB'
				paymentTypes = 'PC:payment.yamoney.PC'
			}
    	}
    	*/
    
    	/*
    	// внешняя ссылка
		, provider {
        	id = "externalLinkQiwi"
        	title = "Qiwi"
        	image = 'static/images/logos/qiwi.png'
			config = config {
				url = 'https://qiwi.com/payment/form.action?provider=297'
			}
    	}
    	*/
    ]

	/* Список возможных способов пополнения можно указать вручную, но также нужно учитывать, что если модуль отсутствует на договоре - 
		то пункт с соответсвующим модулем будет исключен из списка.  */
    payments = [

        /*
        payment {
            title = 'payment.bankCard'
            image = 'static/images/logos/visa_mastercard.png'
            providerId = 'yamoney'
            type = 'bankCard'
            
            config = config {
				paymentTypes = 'AC:payment.yamoney.AC'
			}
        }
        
        , payment {
            title = 'payment.yamoney'
            image = 'static/images/logos/yamoney.png'
            providerId = 'yamoney'
            type = 'bankCard'
            
            config = config {
				paymentTypes = 'PC:payment.yamoney.PC'
			}
        }
        */
    ]
}
