package ru.mybgbilling.custom.badcom;

import java.awt.Graphics2D;
import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import javax.activation.DataHandler;
import javax.activation.DataSource;
import javax.faces.application.FacesMessage;
import javax.faces.component.UIComponent;
import javax.faces.component.UIInput;
import javax.faces.context.FacesContext;
import javax.faces.view.ViewScoped;
import javax.imageio.IIOImage;
import javax.imageio.ImageIO;
import javax.imageio.ImageWriteParam;
import javax.imageio.ImageWriter;
import javax.imageio.stream.ImageOutputStream;
import javax.inject.Inject;
import javax.inject.Named;
import javax.servlet.http.Part;
import javax.xml.ws.Holder;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.w3c.dom.Document;
import org.w3c.dom.Element;

import bitel.billing.module.common.Request;
import ru.bitel.bgbilling.common.BGException;
import ru.bitel.bgbilling.kernel.contract.api.common.bean.parameter.ContractParameterListItem;
import ru.bitel.bgbilling.kernel.contract.api.common.service.ContractCardService;
import ru.bitel.bgbilling.kernel.contract.api.common.service.ContractParameterService;
import ru.bitel.common.Utils;
import ru.bitel.common.function.Async;
import ru.bitel.common.model.IdTitle;
import ru.bitel.common.model.MapHolder;
import ru.bitel.common.model.Result;
import ru.bitel.mybgbilling.kernel.common.AbstractBean;
import ru.bitel.mybgbilling.kernel.common.MyApplicationBean.HttpRequest;
import ru.bitel.mybgbilling.kernel.common.inject.BGInject;
import ru.bitel.mybgbilling.kernel.common.inject.BGInjection;
import ru.bitel.mybgbilling.kernel.common.utils.XmlUtils;
import ru.mybgbilling.custom.badcom.registration.RegistrationBradcomService;

 
@Named
@ViewScoped // 1.
@BGInjection // 2.
public class RegistrationBradcomBean
    extends AbstractBean
    implements Serializable
    
{
    private static final Logger logger = LoggerFactory.getLogger( RegistrationBradcomBean.class );
 
    @BGInject(module = false) // 2.
    private RegistrationBradcomService registrationService;
    
    @BGInject(module = false)
    private ContractCardService contractCardService;
    
    @BGInject(module = false)
    private ContractParameterService contractParameterService;
    
    @Inject
    private transient HttpRequest httpRequest;
    
    
 
      
//    String patternId;
////    ФИО
//    String name;
//    String lastName;
//    String middleName;
////    Email
//    String email;
////    Телефон
//    String phone;
////    Тип документа (возможность выбора из списка: паспорт, права)
//    int documentType;
////    Серия и номер
//    String docSer;
//    String docNum;
////    Кем выдан
//    String docSubject; 
////    Дата выдачи
//    String docDate;
////    Адрес регистрации (выбор из реестра)
//    String addressOfReg;
////    Адрес подключения (выбор из реестра)
//    String addressOfAccount;
////    Комментарии (поле с возможностью внести запись)
//    String comment;
////    ID и SN лепёшки или LHG (В последующем предусмотреть возможность автоматического подтягивания).
//    String SN;
//    String deviceType;
////    Фотографию паспорта со страниц сведений о пользователе и прописке (2-а изображения)
////    Фотографии установленного каналообразующего оборудования, которые позволят проконтролировать качество монтажа.
    
    String patternId;
//  ФИО
  String name="Имя";
  String lastName="Фамилия";
  String middleName="Отчество";
//  Email
  String email="test.mail.ru";
//  Телефон
  String phone="89177538133";
//Суффикс
String phoneN="";
//  Тип документа (возможность выбора из списка: паспорт, права)
  int documentType;
//  Серия и номер
  String docSer="123";
  String docNum="456";
//  Кем выдан
  String docSubject="Рувд"; 
//  Дата выдачи
  String docDate="01.02.2010";
//  Адрес регистрации (выбор из реестра)
  String addressOfReg="Адрес1";
//  Адрес подключения (выбор из реестра)
  String addressOfAccount="Адерс2";
//  Комментарии (поле с возможностью внести запись)
  String comment="Кометарий";
//  ID и SN лепёшки или LHG (В последующем предусмотреть возможность автоматического подтягивания).
  String SN="12333";
  String deviceType;
  
  String routerSN="55533";
  String routerDeviceType;
//  Фотографию паспорта со страниц сведений о пользователе и прописке (2-а изображения)
//  Фотографии установленного каналообразующего оборудования, которые позволят проконтролировать качество монтажа.
    
  int PhotoSize = 9;
  Part[] photoDocument = new Part[PhotoSize];
  Holder<DataHandler>[] photoDocumentHolder = new Holder[PhotoSize];
  String[] photoDocumentFileName = new String[PhotoSize];
  Long[] photoDocumentSize = new Long[PhotoSize];
//    Part photoDocument1;
//    Part photoDocument2;
//    Part photoDevice;
//    Part photoRouter;
//    Part photoMount1;
//    Part photoMount2;
//    Part photoMount3;
//    Part photoMount4;
//    Part photoMount5;
    //=========
//    Holder<DataHandler> photoDocument1Holder  =null;
//    String photoDocument1FileName = null;
//    Holder<DataHandler> photoDocument2Holder  =null;
//    String photoDocument2FileName = null;
//    Holder<DataHandler> photoDeviceHolder  =null;
//    String photoDeviceFileName = null;
//    Holder<DataHandler> photoRouterHolder  =null;
//    String photoRouterFileName = null;
//    Holder<DataHandler> photoMount1Holder  =null;
//    String photoMount1FileName = null;
//    Holder<DataHandler> photoMount2Holder  =null;
//    String photoMount2FileName = null;
//    Holder<DataHandler> photoMount3Holder  =null;
//    String photoMount3FileName = null;
//    Holder<DataHandler> photoMount4Holder  =null;
//    String photoMount4FileName = null;
//    Holder<DataHandler> photoMount5Holder  =null;
//    String photoMount5FileName = null;
    //=========
    
    private String resultText = null;
    private int cid = -1;
    
    @Override
    protected void init() // 3.
        throws BGException
    {
        logger.info( "init" );
 
        populate();
    }
 
    public void populate() // 4.
    {
        logger.info( "populate" );
        
    }
 
     
   
 
    //===================
    
    public void registration( )
    throws BGException, IOException
{
    System.out.println( "name=>"+name );
    System.out.println( "lastName=>"+ lastName );
    Map<String,String> param = new HashMap<>();
    
    
    
    
    param.put( "patternId", patternId );
    param.put( "name", name);
    param.put( "lastName" ,lastName);
    param.put( "middleName", middleName);
    param.put( "email" ,email);
    param.put( "phone",phone.replace( "-", "" ) );
    param.put( "phoneN",phoneN );
    param.put( "documentType",String.valueOf( documentType) );
    param.put( "docSer" ,docSer);
    param.put( "docNum", docNum);
    param.put( "docSubject",docSubject );
    param.put( "docDate",docDate );
    param.put( "addressOfReg",addressOfReg );
    param.put( "addressOfAccount",addressOfAccount );
    param.put( "comment", comment);
    param.put( "SN" ,SN);
    param.put( "deviceType",String.valueOf( deviceType) );
    param.put( "routerSN" ,routerSN);
    param.put( "routerDeviceType",String.valueOf( routerDeviceType) );
    
    param.put( "agentId",String.valueOf( getContractId() ) );
    
    readPhoto();
    
    Result<String> res = registrationService.registrationContract( new MapHolder<>(param), photoDocumentFileName[0], photoDocumentHolder[0], 
                                                                   photoDocumentFileName[1], photoDocumentHolder[1],
                                                                   photoDocumentFileName[2], photoDocumentHolder[2],
                                                                   photoDocumentFileName[3], photoDocumentHolder[3],
                                                                   photoDocumentFileName[4], photoDocumentHolder[4],
                                                                   photoDocumentFileName[5], photoDocumentHolder[5],
                                                                   photoDocumentFileName[6], photoDocumentHolder[6],
                                                                   photoDocumentFileName[7], photoDocumentHolder[7],
                                                                   photoDocumentFileName[8], photoDocumentHolder[8]);
    
    cid = Utils.parseInt( (String)res.getAttribute( "cid" ), -1);
    resultText = (String)res.getAttribute( "contractText" );
    
    populate();
}
    
    private void readPhoto() throws IOException
    {
        for ( int i = 0; i < photoDocument.length; i++ )
        {
            if ( photoDocument[i] != null )
            {
                photoDocumentFileName[i] = getSubmittedFileName( photoDocument[i] );
                
                JpegStruct res  = compressJpeg( photoDocument[i].getInputStream());
                if(res.size>0)
                {
                    photoDocumentHolder[i] = createHolder( photoDocumentFileName[i],res.is );
                    photoDocumentSize[i] = res.size;
                }
                
                
                //photoDocumentHolder[i] = createHolder( photoDocument[i] );
                //photoDocumentSize[i] = photoDocument[i].getSize();

            }
        }
    }
    
    
   
    
    private Holder<DataHandler> createHolder( String fileName, InputStream is )
    {

        DataHandler dh = new DataHandler( new DataSource()
        {
            @Override
            public String getContentType()
            {
                return "application/octet-stream";
            }

            @Override
            public InputStream getInputStream()
                throws IOException
            {
                return is;
            }

            @Override
            public String getName()
            {
                return fileName;
            }

            @Override
            public OutputStream getOutputStream()
                throws IOException
            {
                return null;
            }
        } );

        Holder<DataHandler> holder = new Holder<DataHandler>( dh );
        return holder;
    }
    
 

    
  

    public String getName()
    {
        return name;
    }

    public void setName( String name )
    {
        this.name = name;
    }

    public String getLastName()
    {
        return lastName;
    }

    public void setLastName( String lastName )
    {
        this.lastName = lastName;
    }

    public String getMiddleName()
    {
        return middleName;
    }

    public void setMiddleName( String middleName )
    {
        this.middleName = middleName;
    }

    public String getEmail()
    {
        return email;
    }

    public void setEmail( String email )
    {
        this.email = email;
    }

    public String getPhone()
    {
        return phone;
    }

    public void setPhone( String phone )
    {
        this.phone = phone;
    }

    public void validatePhone( FacesContext context, UIComponent comp, Object value )
    {

        System.out.println( "phone validate method" );
        String phone = (String)value;
        String msg=null;
        if ( Utils.isEmptyString( phone))
        {
            msg="Не заполнено поле \"Телефон\"";
        }
        else if ( !phone.replace( "-", "" ).matches(  "\\d+") )
        {
            msg="В поле \"Телефон\" могут быть только цифры и тире";
        }
        else if ( phone.length() < 10 )
        {
            msg="Телефон короче 10 цифр";
        }
        addValidationMsg( context, comp, msg );

    }
    public void validateSer( FacesContext context, UIComponent comp, Object value )
    {

        
        String ser = (String)value;
        String msg=null;
        if ( Utils.isEmptyString( ser)|| ser.length()!=4||!ser.matches(  "\\d+")   )
        {
            msg="Серия должна состоять из 4 цифр";
        }
        addValidationMsg( context, comp, msg );
    }
    
    public void validateNum( FacesContext context, UIComponent comp, Object value )
    {

        
        String num = (String)value;
        String msg=null;
        if ( Utils.isEmptyString( num)|| num.length()!=6||!num.matches(  "\\d+")  )
        {
            msg="Номер должен состоять из 6 цифр";
        }
        addValidationMsg( context, comp, msg );
    }

    private void addValidationMsg( FacesContext context, UIComponent comp, String msg )
    {
        if(msg!=null)
        {
            ((UIInput)comp).setValid( false );
            FacesMessage message = new FacesMessage( msg );
            context.addMessage( comp.getClientId( context ), message );
        }
    }
    
   

    public int getDocumentType()
    {
        return documentType;
    }

    public void setDocumentType( int documentType )
    {
        this.documentType = documentType;
    }

    public String getDocSer()
    {
        return docSer;
    }

    public void setDocSer( String docSer )
    {
        this.docSer = docSer;
    }

    public String getDocNum()
    {
        return docNum;
    }

    public void setDocNum( String docNum )
    {
        this.docNum = docNum;
    }

    public String getDocSubject()
    {
        return docSubject;
    }

    public void setDocSubject( String docSubject )
    {
        this.docSubject = docSubject;
    }

    public String getDocDate()
    {
        return docDate;
    }

    public void setDocDate( String docDate )
    {
        this.docDate = docDate;
    }

    public String getAddressOfReg()
    {
        return addressOfReg;
    }

    public void setAddressOfReg( String addressOfReg )
    {
        this.addressOfReg = addressOfReg;
    }

    public String getAddressOfAccount()
    {
        return addressOfAccount;
    }

    public void setAddressOfAccount( String addressOfAccount )
    {
        this.addressOfAccount = addressOfAccount;
    }

    public String getComment()
    {
        return comment;
    }

    public void setComment( String comment )
    {
        this.comment = comment;
    }

 

    public String getSN()
    {
        return SN;
    }

    public void setSN( String sN )
    {
        SN = sN;
    }


    public String getResultText()
    {
        return resultText;
    }

    public void setResultText( String resultText )
    {
        this.resultText = resultText;
    }

    public String getPatternId()
    {
        return patternId;
    }

    public void setPatternId( String patternId )
    {
        this.patternId = patternId;
    }

    public Part getPhotoDocument1()
    {
        return photoDocument[0];
    }

    public void setPhotoDocument1( Part fotoDocument1 )
    {
        this.photoDocument[0] = fotoDocument1;
    }

    public Part getPhotoDocument2()
    {
        return photoDocument[1];
    }

    public void setPhotoDocument2( Part fotoDocument2 )
    {
        this.photoDocument[1] = fotoDocument2;
    }

    public Part getPhotoDevice()
    {
        return photoDocument[2];
    }

    public void setPhotoDevice( Part fotoDevice )
    {
        this.photoDocument[2] = fotoDevice;
    }
    
    
    public void exportContractCard(  )
        throws BGException
    {
        

        populate();

    

        final Holder<DataHandler> holder = new Holder<DataHandler>();

        contractCardService.contractCardExport( cid, "card_contract.xsl", holder );

        // String titleCard = Base64.decode( Base64.decodeWeb( ge ), "utf-8" );

        // имя PDF файла
        StringBuilder fileName = new StringBuilder();
        fileName.append( "card_contract.pdf" );

        writeToOutput( holder.value, fileName.toString(), false );
    }

    public Part getPhotoRouter()
    {
        return photoDocument[3];
    }

    public void setPhotoRouter( Part fotoRouter )
    {
        this.photoDocument[3] = fotoRouter;
    }

    public Part getPhotoMount1()
    {
        return photoDocument[4];
    }

    public void setPhotoMount1( Part fotoMount1 )
    {
        this.photoDocument[4] = fotoMount1;
    }

    public Part getPhotoMount2()
    {
        return photoDocument[5];
    }

    public void setPhotoMount2( Part fotoMount2 )
    {
        this.photoDocument[5] = fotoMount2;
    }

    public Part getPhotoMount3()
    {
        return photoDocument[6];
    }

    public void setPhotoMount3( Part fotoMount3 )
    {
        this.photoDocument[6] = fotoMount3;
    }

    public Part getPhotoMount4()
    {
        return photoDocument[7];
    }

    public void setPhotoMount4( Part fotoMount4 )
    {
        this.photoDocument[7] = fotoMount4;
    }

    public Part getPhotoMount5()
    {
        return photoDocument[8];
    }

    public void setPhotoMount5( Part fotoMount5 )
    {
        this.photoDocument[8] = fotoMount5;
    }
    
    private Map<Integer, Async<List<ContractParameterListItem>>> сontractParameterListItemListMap = new HashMap<>();
    public List<ContractParameterListItem> getContractParameterListItemList( int parameterTypeId )
        throws BGException
    {
        return сontractParameterListItemListMap.computeIfAbsent( parameterTypeId, key -> Async.of( () -> {
            List<ContractParameterListItem> result = Utils.maskNull( contractParameterService.contractParameterListItemList( parameterTypeId ) );
            Collections.sort( result, ( a, b ) -> Utils.maskNull( a.getTitle() )
                                                       .compareTo( Utils.maskNull( b.getTitle() ) ) );
            return result;
        } ) ).get();
    }
    
    private Map<Integer, List<IdTitle>> сontractParameterMiltiListItemListMap = new HashMap<>();

    public List<IdTitle> getContractParameterMultiListItemList( int parameterTypeId )
        throws BGException
    {

        List<IdTitle> result = сontractParameterMiltiListItemListMap.get( parameterTypeId );
        if ( result != null )
        {
            return result;
        }
        // заполняем
        result = new ArrayList<IdTitle>();
        Document doc = httpRequest.requestXml( "contract", 0, "GetMultiListParam", getContractId(), "pid", parameterTypeId );
        
        Element values = (Element)XmlUtils.selectElement( doc, "//values" );
        String currentValue = values.getAttribute( "value" );
        List<String> cvList = Arrays.asList( currentValue.split( ";" ) );

        if ( values != null && values.hasChildNodes() )
        {
            for ( Element item : XmlUtils.elements( values.getChildNodes() ) )
            {
                String id = item.getAttribute( "id" );
                if ( id != null && cvList.contains( id ) )
                {
                    String val[] = item.getAttribute( "title" ).split( "_" );
                    result.add( new IdTitle( Utils.parseInt( val[1], -1 ), val[0]  ) );
                }
            }
        }
        сontractParameterMiltiListItemListMap.put( parameterTypeId, result );
        return result;
    }

    public String getDeviceType()
    {
        return deviceType;
    }

    public void setDeviceType( String deviceType )
    {
        this.deviceType = deviceType;
    }

    public String getPhoneN()
    {
        return phoneN;
    }

    public void setPhoneN( String phoneN )
    {
        this.phoneN = phoneN;
    }

    public String getRouterSN()
    {
        return routerSN;
    }

    public void setRouterSN( String routerSN )
    {
        this.routerSN = routerSN;
    }

    public String getRouterDeviceType()
    {
        return routerDeviceType;
    }

    public void setRouterDeviceType( String routerDeviceType )
    {
        this.routerDeviceType = routerDeviceType;
    }
    
    
    
    private class JpegStruct
    {
        InputStream is=null;
        long size =-1; 
    }

    private JpegStruct compressJpeg( InputStream in )
    {
        JpegStruct res = new JpegStruct();
        try
        {
            float quality = 0.8f;
            int scaledWidth = 1280;
            int scaledHeight = 720;
            // create a BufferedImage as the result of decoding the supplied
            // InputStream
            BufferedImage inputImage = ImageIO.read( in );

            BufferedImage outputImage = new BufferedImage( scaledWidth, scaledHeight, inputImage.getType() );
            Graphics2D g2d = outputImage.createGraphics();
            g2d.drawImage( inputImage, 0, 0, scaledWidth, scaledHeight, null );
            g2d.dispose();

            // get all image writers for JPG format
            Iterator<ImageWriter> writers = ImageIO.getImageWritersByFormatName( "jpg" );

            if ( !writers.hasNext() )
                throw new IllegalStateException( "No writers found" );

            ImageWriter writer = (ImageWriter)writers.next();
            ByteArrayOutputStream os = new ByteArrayOutputStream();
            ImageOutputStream ios = ImageIO.createImageOutputStream( os );
            writer.setOutput( ios );

            ImageWriteParam param = writer.getDefaultWriteParam();

            // compress to a given quality
            param.setCompressionMode( ImageWriteParam.MODE_EXPLICIT );
            param.setCompressionQuality( quality );

            // appends a complete image stream containing a single image and
            // associated stream and image metadata and thumbnails to the output
            writer.write( null, new IIOImage( outputImage, null, null ), param );

            byte[] bar = os.toByteArray();
            res.size = bar.length;
            res.is = new ByteArrayInputStream( bar );
            // close all streams
            os.close();
            ios.close();
            writer.dispose();

        }
        catch( IOException e )
        {
            // TODO Auto-generated catch block
            e.printStackTrace();
        }
        return res;
    }
    
    public void findContract()
        throws BGException,
        IOException
    {
        logger.info( "findContract" );
        int count = registrationService.findContract( phone );
        if ( count == 0 )
        {
            phoneN = "";
            step = 1;
            return;
        }

        else
        {
            phoneN = String.valueOf( count );
            step = 1;
            return;
        }
    }

  
}