package ru.mybgbilling.custom.dialog.registration;

import javax.activation.DataHandler;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.Holder;

import ru.bitel.common.model.IdTitle;
import ru.bitel.common.model.MapHolder;
import ru.bitel.common.model.Result;

@WebService
@XmlSeeAlso(IdTitle.class)
public interface RegistrationDialogService
{
    public Result<String> registrationContract( MapHolder<String, String> params ,String fileName1, Holder<DataHandler> file1, Long fileSize1, 
                                                String fileName2, Holder<DataHandler> file2, Long fileSize2,
                                                String fileName3, Holder<DataHandler> file3, Long fileSize3,
                                                String fileName4, Holder<DataHandler> file4, Long fileSize4,
                                                String fileName5, Holder<DataHandler> file5, Long fileSize5,
                                                String fileName6, Holder<DataHandler> file6, Long fileSize6,
                                                String fileName7, Holder<DataHandler> file7, Long fileSize7
                                                
                                                );
    
    /**
     * Возвращает cid и список тарифов договора
     * @param title
     * @return
     */
    public Result<IdTitle> findContract(String title);
    
    
    public Result<IdTitle> getAddresStreet( String stname, String cityTitle );
    
    public Result<IdTitle> fillListByHouses( int streetId );
 
} 

